Name:           amahi-philesight
Version: 1.0.3
Release:        1
Summary:        Philesight is a tool to browse your filesystem and see where the diskspace is being used at a glance.
Group:          System Environment/Daemons
Source:         http://home.com/amahi-philesight-%{version}.tar.gz
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Philesight is a tool to browse your filesystem and see where the diskspace is being used at a glance.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/usr/share/philesight/

install -m 0644 -D -p crond ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d/philesight
install -m 0755 -D -p schedule*.php ${RPM_BUILD_ROOT}/usr/share/philesight/
install -m 0755 -D -p philesight* ${RPM_BUILD_ROOT}/usr/share/philesight/
install -m 0644 -D -p README ${RPM_BUILD_ROOT}/usr/share/philesight/
mkdir ${RPM_BUILD_ROOT}/usr/share/philesight/tmp
mkdir ${RPM_BUILD_ROOT}/usr/share/philesight/tmp/gh
mkdir ${RPM_BUILD_ROOT}/usr/share/philesight/gh
install -m 0755 -D -p gh/philesight* ${RPM_BUILD_ROOT}/usr/share/philesight/gh/

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
chown -R apache.apache /usr/share/philesight/
/bin/nice /usr/share/philesight/schedule.php > /dev/null 2>&1 &
/bin/nice /usr/share/philesight/schedule-gh.php > /dev/null 2>&1 &

%preun

%files
%defattr(-,root,root,-)
%{_sysconfdir}/
/usr/share/philesight/

